%define name logtools
%define version 0.13d
%define release 2.ru

Summary:	The Logtools package contains a number of programs for managing log files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Russel Coker
Group:		Logtools
Source0:	http://www.coker.com.au/logtools/%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
--clfmerge will merge a number of Common Logfile Format web log files into a single file 
while also re-ordering them in a sliding window to cope with web servers that generate 
log entries with the start-time of the request and write them in order of completion. 

--logprn operates like tail -f but will (after a specified period of inactivity) spawn 
a process and write the new data in the log file to it's standard input. 

--clfsplit will split up a single CLF format web log into a number of files based on 
the client's IP address.      

--funnel will write it's standard-input to a number of files or processes. 

--clfdomainsplit split a CLF format web log containing fully qualified URLs 
(including the host name) into separate files, one for each host.

%prep
%setup -q 

%build

./configure \
	--prefix=%{buildroot}%{_prefix} \
        --mandir=%{buildroot}%{_mandir} \
	--sysconfdir=%{buildroot}%{_sysconfdir}

make

%install
rm -rf %{buildroot}
make install	

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc bulk-virtual-webalizer.txt sample-webalizer.conf getweblogs
%{_bindir}/*

%config(noreplace) %{_sysconfdir}/clfdomainsplit.cfg
%{_mandir}/man1/*

%changelog
* Mon Oct 19 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 0.13d-1.ru
- Respun with .ru extension. 
* Wed Sep 30 2009 Dan Gopstein <dgop@nbcs.rutgers.edu> - 0.13d-1
- Initial build for CentOS
